APTITUDE(8)

NAZWA
aptitude - interfejs wysokiego poziomu do menedżera pakietów.

SKŁADNIA

aptitude [<opcje>...] {autoclean | clean | forget-new | keep-all | update}

aptitude [<opcje>...] {full-upgrade | safe-upgrade} [<pakiety>...]

aptitude [<options>...] {build-dep | build-depends | changelog | download | forbid-version | hold | install | markauto | purge | reinstall | remove | show | showsrc | source | unhold | unmarkauto | versions} <packages>...

aptitude extract-cache-subset <katalog-wyjściowy> <pakiety>...

aptitude [<opcje>...] search <wzorce>...

aptitude [<opcje>...] {add-user-tag | remove-user-tag} <znacznik> <pakiety>...

aptitude [<opcje>...] {why | why-not} [<wzorce>...] <pakiet>

aptitude [-S <nazwa pliku>] [--autoclean-on-startup | --clean-on-startup | -i | -u]

aptitude help

OPIS

Program aptitude jest tekstowym interfejsem do systemu pakietów dystrybucji Debian GNU/Linux.

Pozwala użytkownikowi przeglądać listę pakietów i wykonywać zadania związane z zarządzaniem nimi, takie jak instalowanie, uaktualnianie i usuwanie. Zadania te można wykonywać w trybie wizualnym lub z wiersza poleceń.

WIERSZ POLECEń

Pierwszy argument nie zaczynający się dywizem („-”) jest traktowany jako akcja, którą ma wykonać program. Jeśli akcja nie zostanie podana w wierszu poleceń, aptitude uruchomi się w trybie wizualnym.

Dostępne są następujące akcje:

install
    Instaluje jeden lub więcej pakietów. Nazwy pakietów należy podać po poleceniu „install”; jeśli zawiera ona znak tyldy („~”) lub znak zapytania („?”), będzie traktowana jako wzorzec wyszukiwania i zostaną zainstalowane wszystkie pakiety, które go spełniają (proszę zapoznać się z rozdziałem „Search Patterns” w podręczniku aptitude).

    Aby wybrać określoną wersję pakietu, należy dodać do nazwy „=<wersja>” np. „aptitude install apt=0.3.1”. Analogicznie, aby wybrać pakiet z określonego archiwum, należy dodać „/<archiwum>” np. „aptitude install apt/experimental”. Nie można jednak podać nazwy archiwum i wersji pakietu jednocześnie.

    Nie każdy pakiet podany w linii poleceń musi być zainstalowany; można nakazać aptitude wykonać inne działanie związane z pakietem przez dodanie „operatora nadpisania” do jego nazwy. Przykładowo, aptitude remove wesnoth+ zainstaluje wesnoth, zamiast go usunąć. Dostępne są następujące operatory nadpisania:

    <pakiet>+
        Instaluje <pakiet>.

        If the package was not installed, it is marked as manually installed, and the dependencies newly installed are marked with the automatic flag. If the package or the dependencies were already installed, the automatic flag is preserved. See the section about automatic installations in the documentation for more information.

    <pakiet>+M
        Instaluje <pakiet> i natychmiast oznacza go jako automatycznie zainstalowany (proszę zauważyć, że jeśli nic nie jest zależne od <pakietu>, spowoduje to jego natychmiastowe usunięcie).

    <pakiet>-
        Usuwa <pakiet>.

    <pakiet>_
        Czyści <pakiet> - usuwa go wraz ze wszystkimi związanymi z nim plikami z danymi oraz plikami konfiguracyjnymi.

    <pakiet>=
        Wstrzymuje <pakiet> - odwołuje wszystkie aktywne instalacje, uaktualnienia lub usunięcia i zapobiega automatycznym aktualizacjom w przyszłości.

    <pakiet>:
        Zatrzymuje <pakiet> w obecnej wersji - odwołuje wszystkie instalacje, usunięcia lub uaktualnienia. W przeciwieństwie do „hold” (powyżej) to polecenie nie zapobiega automatycznym aktualizacjom w przyszłości.

    <pakiet>&M
        Oznacza <pakiet> jako zainstalowany automatycznie.

    <pakiet>&m
        Oznacza <pakiet> jako zainstalowany ręcznie.

    <package>&BD
        Install the build-dependencies of a <package>.

    Jako szczególny przypadek, „install” bez dodatkowych argumentów przeprowadzi wszystkie zaplanowane wcześniej akcje.

        Uwaga
        Once you enter Y at the final confirmation prompt, the „install” command will modify aptitude's stored information about what actions to perform. Therefore, if you issue (e.g.) the command „aptitude install foo bar” on packages previously uninstalled, and then the installation fails once aptitude has started downloading and installing packages, you will need to run „aptitude remove foo bar” to go back to the previous state (and possibly undo installations or upgrades to other packages that were affected by the „install” action).

remove, purge, reinstall
    These commands are the same as „install”, but apply the named action to all packages given on the command line for which it is not overridden.

    Przykładowo, „aptitude remove '~ndeity'” usunie wszystkie pakiety zawierające w swej nazwie ciąg „deity”.

build-depends, build-dep
    Uzupełnia zależności na czas budowania pakietu. Każda nazwa pakietu może być pakietem źródłowym, w takim przypadku instalowane są zależności na czas budowania pakietu źródłowego; w przeciwnym razie, pakiety binarne są znajdywane według wzoru używanego w poleceniu „install”, a uzupełniane są zależności na czas budowania pakietu, będącego pakietem źródłowym dla danego pakietu binarnego.

    W połączeniu z parametrem --arch-only aptitude uzupełnia tylko zależności na czas budowania zależne od architektury (tzn. nie Build-Depends-Indep, ani Build-Conflicts-Indep).

markauto, unmarkauto
    Oznacza pakiety jako zainstalowane, odpowiednio: automatycznie lub ręcznie, korzystając z tej samej składni co w poleceniu „install”. Przykładowo, „aptitude markauto '~slibs'” oznaczy wszystkie pakiety z sekcji „libs”, jako zainstalowane automatycznie.

    Aby uzyskać więcej informacji o pakietach zainstalowanych automatycznie, proszę zapoznać się z rozdziałem „Managing Automatically Installed Packages” w podręczniku aptitude.

hold, unhold, keep
    Mark packages to be on hold, remove this property, or set to keep in the current state. Packages are specified in exactly the same way as for the „install” command. For instance, „aptitude hold '~e^dpkg$'” will mark all packages coming from the source package „dpkg” to be on hold.

    The difference between hold and keep is that hold will cause a package to be ignored by future safe-upgrade or full-upgrade commands, while keep merely cancels any scheduled actions on the package. unhold will allow a package to be upgraded by future safe-upgrade or full-upgrade commands, without otherwise altering its state.

keep-all
    Odwołuje wszystkie zaplanowane akcje na wszystkich pakietach; każdemu pakietowi, który był oznaczony jako do instalacji, usunięcia lub uaktualnienia, to oznaczenie zostanie usunięte.

forget-new
    Usuwa wszystkie wewnętrzne informacje o tym, które pakiety są „nowe” (równoważne wciśnięciu „f” w trybie wizualnym).

    This command accepts package names or patterns as arguments. If the string contains a tilde character („~”) or a question mark („?”), it will be treated as a search pattern and every package matching the pattern will be considered (see the section „Search Patterns” in the aptitude reference manual).

forbid-version
    Forbid a package from being upgraded to a particular version, while allowing automatic upgrades to future versions. This is useful for example to avoid a known broken version of a package, without having to set and clear manual holds.

    By default, aptitude will select the forbidden version to be the one which the package would normally be upgraded (the candidate version). This may be overridden by appending „=<version>” to the package name: for instance, „aptitude forbid-version vim=1.2.3.broken-4”.

    To revert the action, „aptitude install <package>” will remove the ban. To remove the forbidden version without installing the candidate version, the current version should be appended: „install <package>=<version>”.

update
    Uaktualnia listę dostępnych pakietów ze źródeł apt (jest to odpowiednik „apt-get update”)

safe-upgrade
    Uaktualnia zainstalowane pakiety do najnowszych wersji. Zainstalowane pakiety nie będą usunięte, chyba że nie są używane (proszę zapoznać się z rozdziałem „Managing Automatically Installed Packages” w podręczniku aptitude). Pakiety które nie są aktualnie zainstalowane, mogą zostać zainstalowane aby rozwiązać zależności, chyba że użyto także polecenia --no-new-installs.

    Jeśli nie podano żadnych <pakiet>ów w wierszu poleceń, aptitude spróbuje zaktualizować wszystkie pakiety, dające się uaktualnić. W przeciwnym wypadku aptitude uaktualni tylko pakiety, których nazwy podano w poleceniu. Nazwy <pakiet>ów mogą być rozszerzone przez przyrostki (na tej samej zasadzie, jak argumenty aptitude install), więc można przekazać tutaj aptitude dodatkowe polecenie np. aptitude safe-upgrade bash dash- spowoduje uaktualnienie pakietu bash i usunięcie pakietu dash.

    Czasami istnieje potrzeba usunięcia jednego pakietu, aby zaktualizować inny; to polecenie nie jest w stanie uaktualniać pakietów w takich przypadkach. Aby wykonać wszystkie możliwe aktualizacje, należy użyć polecenia full-upgrade.

full-upgrade
    Upgrades installed packages to their most recent version, removing or installing packages as necessary. It also installs new Essential or Required packages. This command is less conservative than safe-upgrade and thus more likely to perform unwanted actions. However, it is capable of upgrading packages that safe-upgrade cannot upgrade.

    Jeśli nie podano żadnych <pakiet>ów w wierszu poleceń, aptitude spróbuje zaktualizować wszystkie pakiety, dające się uaktualnić. W przeciwnym wypadku aptitude uaktualni tylko pakiety, których nazwy podano w poleceniu. Nazwy <pakiet>ów mogą być rozszerzone przez przyrostki (na tej samej zasadzie, jak argumenty aptitude install), więc można przekazać tutaj aptitude dodatkowe polecenie np. aptitude safe-upgrade bash dash- spowoduje uaktualnienie pakietu bash i usunięcie pakietu dash.

        Uwaga
        To polecenie było pierwotnie nazwane dist-upgrade z powodów historycznych i aptitude wciąż rozpoznaje dist-upgrade jako synonim do full-upgrade.

search
    Wyszukuje pakiety pasujące do jednego z wzorców podanych po poleceniu. Zostaną wypisane wszystkie pakiety pasujące do któregokolwiek z tych wzorców, np. „aptitude search '~N' edit” wypisze „nowe” pakiety i wszystkie pakiety, których nazwa zawiera „edit”. Aby uzyskać więcej informacji o wzorcach wyszukiwania, proszę zapoznać się z rozdziałem „Search Patterns” w podręczniku aptitude.

        Uwaga
        W powyższym przykładzie „aptitude search '~N' edit” ma dwa argumenty po poleceniu search i dlatego wyszukiwanie jest prowadzone dla dwóch wzorców: „~N” i „edit”. Jak opisano w dokumentacji wyszukiwania, pojedynczy wzorzec składający się z dwóch podwzorców oddzielonych spacją (np. „~N edit”), jest dopasowywany tylko jeśli pasują oba podwzorce. Dlatego polecenie „aptitude search '~N edit'” pokaże wyłącznie „nowe” pakiety, których nazwa zawiera „edit”.

    Jeśli nie zostanie podana opcja -F, wynik polecenia aptitude search będzie wyglądać podobnie jak poniżej:

        i   apt                             - Zaawansowana nakładka na dpkg
        pi  apt-build                       - Nakładka apt do budowania, optymalizowani
        cp  apt-file                        - Wyszukiwanie plików wewnątrz pakietów Deb
        ihA raptor-utils                    - Raptor RDF parser and serializer utilitie

    Każde wyszukiwanie jest wypisane w osobnym wierszu. Pierwszy znak każdego wiersza oznacza obecny stan pakietu: najpopularniejsze to: p oznaczający, że nie ma śladu po istnieniu tego pakietu w systemie; c - pakiet został usunięty, ale jego pliki konfiguracyjne pozostały w systemie; i - pakiet jest zainstalowany oraz v - pakiet jest pakietem wirtualnym. Drugi znak pokazuje zapisaną akcję (jeśli istnieje, w przeciwnym wypadku wyświetlana jest tu spacja), która ma być wykonana na tym pakiecie, najczęściej spotykane akcje to: i - pakiet ma zostać zainstalowany; d - pakiet będzie usunięty oraz p - pakiet i jego pliki konfiguracyjne mają zostać usunięte. Jeśli trzecim znakiem jest A, to pakiet był zainstalowany automatycznie.

    Aby poznać pełną listę możliwych oznaczeń stanów i akcji, zapoznaj się z rozdziałem „Accessing Package Information” w podręczniku aptitude. Aby dostosować wynik polecenia search, proszę zapoznać się z opcjami -F i --sort wiersza poleceń.

show
    Displays detailed information about one or more packages. If a package name contains a tilde character („~”) or a question mark („?”), it will be treated as a search pattern and all matching packages will be displayed (see the section „Search Patterns” in the aptitude reference manual).

    Jeśli poziom szczegółowości jest ustawiony na 1 lub wyżej (tzn. wpisano przynajmniej jedno -v w wierszu poleceń), wyświetlane są informacje o wszystkich wersjach pakietów. W przeciwnym wypadku, wyświetlana jest informacja o „wersji kandydującej” (wersji którą pobrałoby polecenie „aptitude install”).

    Można wyświetlić informacje o różnych wersjach pakietów, przez dodanie do nazwy pakietu =<wersja>; aby wyświetlić wersję z określonego archiwum, do nazwy pakietu należy dopisać /<archiwum> lub /<wydanie>, np. /unstable lub /sid. Jeśli użyto jednej z tych opcji, zostanie wyświetlona tylko żądana wersja, bez względu na poziom szczegółowości.

    Jeśli ustawiono poziom szczegółowości 1 lub wyższy, wyświetlane są pola architektury pakietu, skompresowanego rozmiaru, nazwy pliku i sumy kontrolnej md5. Przy poziomie 2 lub wyższym, wyświetlana jest wybrana wersja/wersje dla każdego archiwum, w którym się ona znajduje.

showsrc
    Displays detailed information about one or more source packages.

    This is a thin wrapper over apt(8).

source
    Downloads one or more source packages.

    This is a thin wrapper over apt(8).

versions
    Wyświetla wersje pakietów podanych w wierszu poleceń.

        $ aptitude versions wesnoth
        p   1:1.4.5-1                                                             100
        p   1:1.6.5-1                                    unstable                 500
        p   1:1.7.14-1                                   experimental             1

    Każda wersja jest wyświetlana w osobnym wierszu. Trzy znaku po lewej stronie oznaczają obecny status, planowaną akcję (jeśli istnieje) i czy pakiet został zainstalowany automatyczne; aby dowiedzieć się więcej o ich znaczeniach, przejdź do informacji o poleceniu aptitude search. Na prawo od wersji wyświetlone są informacje o wydaniu z którego dana wersja jest dostępna oraz jej priorytet przypięć (ang. pin priority).

    Jeśli nazwa pakietu zawiera znak tyldy („~”) lub znak zapytania („?”), będzie ona traktowana jako wzorzec wyszukiwania i zostaną wyświetlone wszystkie wersje które go spełniają (proszę zapoznać się z rozdziałem „Search Patterns” w podręczniku aptitude), np. aptitude versions '~i' wyświetli wszystkie wersje, które są obecnie zainstalowane i tylko tyle, bez innych wersji tych samych pakietów.

        $ aptitude versions '~nexim4-daemon-light'
        Pakiet exim4-daemon-light:
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        Pakiet exim4-daemon-light-dbg:
        p   4.71-4                                       unstable                 500

    Jeśli wejście jest wzorcem wyszukiwania lub jeśli wyświetli się więcej niż jedna wersja pakietu, aptitude automatycznie pogrupuje wyjście wg pakietów, jak wyżej. Można to wyłączyć opcją --group-by=none; aptitude wyświetli wtedy pojedynczą listę wszystkich znalezionych wersji i automatycznie dołączy nazwę pakietu w każdym wierszu:

        $ aptitude versions --group-by=none '~nexim4-daemon-light'
        i   exim4-daemon-light 4.71-3                                             100
        p   exim4-daemon-light 4.71-4                    unstable                 500
        p   exim4-daemon-light-dbg 4.71-4                unstable                 500

    Aby wyłączyć wyświetlanie nazw pakietów, wpisz --show-package-names=never:

        $ aptitude versions --show-package-names=never --group-by=none '~nexim4-daemon-light'
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        p   4.71-4                                       unstable                 500

    Oprócz powyższych opcji, wyświetlanie informacji o każdej wersji można kontrolować opcją -F. Kolejność w których wyświetlane są wersje można zmienić opcją --sort. Aby zapobiec formatowaniu wyniku przez aptitude w kolumny, należy użyć --disable-columns.

add-user-tag, remove-user-tag
    Dodaje znacznik użytkownika lub usuwa go z wybranej grupy pakietów. Jeśli nazwa pakietu zawiera znak tyldy(„~”) lub znak zapytania („?”), będzie traktowana jako wzorzec wyszukiwania i znacznik będzie dodany lub usunięty z wszystkich pakietów które go spełniają (proszę zapoznać się z rozdziałem „Search Patterns” w podręczniku aptitude).

    Znaczniki użytkownika są określonymi ciągami znaków, powiązanych z pakietem. Mogą zostać użyte z poleceniem wyszukiwawczym ?user-tag(<znacznik>), które wybierze wszystkie pakiety mające pasujący znacznik użytkownika <znacznik>.

why, why-not
    Wyjaśnia powód, dla którego dany pakiet powinien lub nie może być zainstalowany w systemie.

    To polecenie szuka pakietów, które są wymagane przez podany pakiet lub konfliktują z nim. Wyświetla sekwencję zależności dotyczących pakietu docelowego, łącznie z informacją o stanie zainstalowania każdego pakietu w łańcuchu zależności:

        $ aptitude why kdepim
        i   nautilus-data Poleca   nautilus
        i A nautilus      Poleca   desktop-base (>= 0.2)
        i A desktop-base  Sugeruje gnome | kde | xfce4 | wmaker
        p   kde           Wymaga   kdepim (>= 4:3.4.3)

    Polecenie why znajduje łańcuch zależności, który stoi za instalacją danego pakietu, jak na powyższym przykładzie. Proszę zauważyć, że pokazane przez aptitude zależności są, w tym przypadku, jedynie sugestią. Wynika to z faktu, że żaden z aktualnie zainstalowanych pakietów nie jest wymagany ani polecany przez pakiet kdepim; gdyby była dostępna silniejsza zależność, aptitude wyświetliłoby ją.

    Dla odmiany, polecenie why-not znajduje łańcuch zależności, będący przyczyną konfliktu z danym pakietem:

        $ aptitude why-not textopo
        i   ocaml-core          Wymaga         ocamlweb
        i A ocamlweb            Wymaga         tetex-extra | texlive-latex-extra
        i A texlive-latex-extra W konflikcie z textopo

    If one or more <pattern>s are present (in addition to the mandatory last argument, which should be a valid <package> name), then aptitude will begin its search at these patterns. That is, the first package in the chain it prints to explain why <package> is or is not installed, will be a package matching the pattern in question. The patterns are considered to be package names unless they contain a tilde character („~”) or a question mark („?”), in which case they are treated as search patterns (see the section „Search Patterns” in the aptitude reference manual).

    Jeśli nie podano żadnego wzorca, aptitude będzie rozpoczynać wyszukiwanie od pakietów zainstalowanych ręcznie. Pokazuje to pakiety, które spowodowały lub mogą spowodować zainstalowanie danego pakietu.

        Uwaga
        aptitude why nie przeprowadza pełnej analizy zależności; wyświetla jedynie bezpośrednie relacje pomiędzy pakietami, np. jeśli A wymaga B, C wymaga D, a B i C są w konflikcie, „aptitude why-not D” nie wyświetli odpowiedzi „A wymaga B, B jest w konflikcie z C, a D wymaga C”.

    aptitude wyświetla domyślnie jedynie „najbardziej zainstalowane, najmocniejsze, najściślejsze, najkrótsze” łańcuchy zależności. Szuka więc tylko pakietów zainstalowanych lub mających zostać zainstalowane; szuka najmocniejszych możliwych, pasujących zależności; szuka łańcuchów bez zależności typu Lub i Udostępnia; szuka najkrótszych łańcuchów zależności spełniających powyższe kryteria. Te zasady są stopniowo osłabiane, dopóki nie zostanie znaleziony odpowiedni łańcuch.

    Jeśli poziom szczegółowości wynosi 1 lub więcej, to wyświetlane są wszystkie rozwiązania, jakie znalazło aptitude, posortowane w odwrotnej kolejności wg trafności. Jeśli poziom szczegółowości jest ustawiony na 2 lub więcej, na standardowe wyjście wyświetlana jest, w istocie, nadmierna ilość informacji do debugowania.

    Polecenie zwraca 0 jeśli zakończy się powodzeniem, 1 jeśli nie znalazło żadnych rozwiązań i -1 w przypadku błędu.

clean
    Usuwa wszystkie uprzednio pobrane pliki .deb z katalogu pamięci podręcznej pakietów (zwykle /var/cache/apt/archives).

autoclean
    Usuwa wszystkie pakiety, które nie mogą być dłużej pobrane. Pozwala to na zapobiegnięcie stopniowemu, nadmiernemu rozrostowi pamięci podręcznej, bez potrzeby jej całkowitego opróżniania.

changelog
    Pobiera i wyświetla dziennik zmian Debiana do każdego z podanych pakietów binarnych lub źródłowych.

    Domyślnie pobierany jest dziennik zmian dla wersji pakietu, która byłaby zainstalowana poleceniem „aptitude install”. Można wybrać określoną wersję pakietu, dodając =<wersja> do jego nazwy; można wybrać wersję z określonego archiwum lub wydania, dodając odpowiednio„/<archiwum>” lub /<wydanie> (np. /unstable lub /sid).

download
    Downloads the .deb file for the given package to the current directory.

    This is a thin wrapper over apt(8).

extract-cache-subset
    Kopiuje katalog konfiguracji programu apt (/etc/apt) i podzbiór bazy danych pakietu do podanego katalogu. Jeśli nie podano pakietu, kopiowana jest cała baza danych; w przeciwnym wypadku kopiowane są tylko wpisy odnoszące się do nazwy pakietu. Każda nazwa może być wzorcem wyszukiwania, co spowoduje wybranie wszystkich pasujących do niego pakietów (proszę zapoznać się z rozdziałem „Search Patterns” w podręczniku aptitude). Wszystkie, już istniejące w podanym katalogu, pliki baz danych pakietów zostaną nadpisane.

    Zależności w pakietach binarnych zostaną przepisane, aby usunąć odniesienia do pakietów, które nie znalazły się w wybranym zbiorze.

help
    Wyświetla krótkie podsumowanie dostępnych poleceń i opcji.

OPCJE

Poniższe opcje mogą być użyte do zmodyfikowania zachowania akcji opisanych powyżej. Proszę zauważyć, że choć we wszystkich poleceniach są akceptowane wszystkie opcje, to niektóre z nich nie mają zastosowania w konkretnych poleceniach i są w takich przypadkach ignorowane.

--add-user-tag <znacznik>
    Do full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, i unmarkauto: dodaje znacznik użytkownika <znacznik> do wszystkich pakietów które są instalowane, usuwane lub uaktualniane z tym poleceniem, jak w poleceniu add-user-tag.

--add-user-tag-to <znacznik>,<wzorzec>
    For full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: add the user tag <tag> to all packages that match <pattern> as if with the add-user-tag command. The pattern is a search pattern as described in the section „Search Patterns” in the aptitude reference manual.

    Przykładowo aptitude safe-upgrade --add-user-tag-to "nowo-zainstalowane,?action(install)" doda znacznik nowo-zainstalowane do wszystkich pakietów zainstalowanych poleceniem safe-upgrade.

--allow-new-upgrades
    Jeśli używane jest bezpieczne rozwiązywanie zależności (tzn. użyto opcji --safe-resolver, akcją było safe-upgrade lub Aptitude::Always-Use-Safe-Resolver jest ustawione na true), pozwala na takie rozwiązywanie zależności, aby umożliwić uaktualnianie pakietów, niezależnie od wartości Aptitude::Safe-Resolver::No-New-Upgrades.

--allow-new-installs
    Pozwala poleceniu safe-upgrade na instalowanie nowych pakietów; jeśli używane jest bezpieczne rozwiązywanie zależności (tzn. użyto opcji --safe-resolver, akcją było safe-upgrade lub Aptitude::Always-Use-Safe-Resolver jest ustawione na true), pozwala na takie rozwiązywanie zależności, aby umożliwić instalowanie nowych pakietów. Opcja działa niezależnie od wartości Aptitude::Safe-Resolver::No-New-Installs.

--allow-untrusted
    Instaluje pakiety z niezaufanych źródeł bez pytania. Powinno się używać tej opcji tylko jeśli wie się co się robi, jako że można w ten sposób łatwo naruszyć bezpieczeństwo systemu.

--disable-columns
    Opcja nakazuje poleceniom aptitude search i aptitude versions wyświetlać wyniki bez specjalnego formatowania. W szczególności: zwykle aptitude dodaje białe znaki lub ucina wyniki, próbując wpasować wyniki wyszukiwania w „kolumny”. Z tą flagą, każdy wiersz będzie wypisywany przez zastąpienie znaków modyfikacji formatu przez odpowiedni tekst; szerokość kolumn zostanie zignorowana.

    Dla przykładu, oto kilka pierwszych linii będących wynikiem polecenia „aptitude search -F '%p %V' --disable-columns libedataserver”:

        disksearch 1.2.1-3
        hp-search-mac 0.1.3
        libbsearch-ruby 1.5-5
        libbsearch-ruby1.8 1.5-5
        libclass-dbi-abstractsearch-perl 0.07-2
        libdbix-fulltextsearch-perl 0.73-10

    Jak w powyższym przykładzie, --disable-columns jest często używane w połączeniu z określonym formatem wyświetlania, ustawionego opcją -F.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Disable-Columns.

-D, --show-deps
    Do komend które zainstalują lub usuną pakiety (install, full-upgrade itd.), pokazuje krótkie wytłumaczenie automatycznych instalacji lub usunięć.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Show-Deps.

-d, --download-only
    Pobiera pakiety do pamięci podręcznej pakietów jeśli zachodzi taka potrzeba, ale niczego nie instaluje, ani nie usuwa. Domyślnie pamięć podręczna pakietów jest przechowywana w /var/cache/apt/archives.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Download-Only.

-F <format>, --display-format <format>
    Specify the format which should be used to display output from the search and versions commands. For instance, passing „%p %v %V” for <format> will display a package's name, followed by its currently installed version and its candidate version (see the section „Customizing how packages are displayed” in the aptitude reference manual for more information).

    Opcja --disable-columns często jest użyteczna w połączeniu z -F.

    Dla search jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Package-Display-Format; dla versions odpowiada to opcji Aptitude::CmdLine::Version-Display-Format.

-f
    Wymuś naprawienie popsutych zależności pakietów, nawet jeśli spowoduje to zignorowanie akcji podanej w wierszu poleceń.

    Jest to odpowiednik wpisu konfiguracyjnego Aptitude::CmdLine::Fix-Broken.

--full-resolver
    Jeśli pojawiają się problemy z zależnościami, użyj domyślnie „pełnego” mechanizmu rozwiązywania zależności, aby je rozwiązać. W przeciwieństwie do „bezpiecznego” mechanizmu, włączanego opcją --safe-resolver, pełny usunie pakiety aby spełnić zależności. Może on rozwiązać więcej sytuacji niż algorytm bezpieczny, ale jest bardziej prawdopodobne, że rozwiązania te będą nieodpowiednie.

    This option can be used to force the use of the full resolver even when Aptitude::Always-Use-Safe-Resolver is true.

--group-by <tryb-grupowania>
    Kontroluje, jak pogrupowany jest wynik polecenia versions. Rozpoznawane są następujące wartości:

        • archive - grupuje pakiety wg występowania w archiwach („stable”, „unstable”, itd.), jeśli pakiet pojawia się w kilku archiwach, będzie wyświetlony w każdym z nich;

        • auto - grupuje wersje wg pakietów, chyba że podano dokładnie jeden argument i nie jest to wzorzec wyszukiwania;

        • none - wyświetla wszystkie wersje w jednej liście, nie dokonując żadnego grupowania;

        • package - grupuje wersje wg pakietów;

        • source-package - grupuje wersje wg ich pakietu źródłowego;

        • source-version - grupuje wersje wg ich pakietów źródłowych i ich wersji;

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Versions-Group-By.

-h, --help
    Wyświetla zwięzłą pomoc. Identyczne z akcją help.

--log-file=<plik>
    Jeśli <plik> jest niepustym ciągiem znaków, jest do niego zapisywany dziennik, wyłączając sytuację gdy jako <plik> podano „-” - wtedy informacje wypisywane są na standardowe wyjście. Jeśli opcja pojawia się kilka razy, brane jest pod uwagę jej ostatnie wystąpienie.

    Nie ma to wpływu na dziennik instalacji, prowadzony przez aptitude (/var/log/aptitude); dziennik zapisywany przy użyciu tej opcji zawiera wewnętrzne zdarzenia programu, błędy i komunikaty debugowania. Zobacz również opcję wiersza poleceń --log-level, aby zyskać większą kontrolę nad tym, co jest wypisywane.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::Logging::File.

--log-level=<poziom>, --log-level=<kategoria>:<poziom>
    --log-level=<poziom> powoduje, że aptitude zapisuje w dzienniku jedynie komunikaty o poziomie <poziom> lub wyższym. Dla przykładu, ustawienie poziomu dziennika na error, spowoduje wyświetlanie wyłącznie komunikatów error i fatal; wszystkie pozostałe będą ukryte. Prawidłowe poziomy dziennika to (w kolejności malejącej): off, fatal, error, warn, info, debug, i trace. Domyślnym poziomem dziennika jest warn.

    --log-level=<kategoria>:<poziom> wyświetli wiadomości w kategorii <kategoria>, tylko jeśli ich poziom wyniesie <poziom> lub wyżej.

    --log-level może pojawiać się w wierszu poleceń wielokrotnie, pod uwagę będzie wówczas brane najbardziej szczegółowe ustawienie. Tak więc po podaniu --log-level=aptitude.resolver:fatal i --log-level=aptitude.resolver.hints.match:trace, komunikaty z aptitude.resolver.hints.parse będą wyświetlane tylko jeśli ich poziom wyniesie fatal, ale pokazywane będą wszystkie wiadomości z aptitude.resolver.hints.match. Jeśli ustawi się poziom dla tej samej kategorii dwa lub więcej razy, stosowane będzie ostatnie z ustawień.

    Nie ma to wpływu na dziennik instalacji, prowadzony przez aptitude (/var/log/aptitude); dziennik zapisywany przy użyciu tej opcji zawiera wewnętrzne zdarzenia programu, błędy i komunikaty debugowania. Zobacz opcję wiersza poleceń --log-file, aby zmienić miejsce gdzie pojawia się dziennik.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::Logging::Levels.

--log-resolver
    Ustawia domyślny poziom dzienników związanych z mechanizmem rozwiązywania zależności, aby jego efekty były odpowiedniejsze do przetwarzania zautomatyzowanymi narzędziami. Jest to odpowiednik opcji wiersza poleceń --log-level=aptitude.resolver.search:trace --log-level=aptitude.resolver.search.tiers:info.

--no-new-installs
    Zabrania poleceniu safe-upgrade instalowania nowych pakietów; jeśli używany jest bezpieczny mechanizm rozwiązywania zależności (tzn. użyto opcji --safe-resolver lub Aptitude::Always-Use-Safe-Resolver jest ustawiona na true), zabrania mu instalować nowe pakiety. Opcja działa niezależnie od wartości Aptitude::Safe-Resolver::No-New-Installs.

    Naśladuje to dawne zachowanie apt-get upgrade.

--no-new-upgrades
    Jeśli używane jest bezpieczne rozwiązywanie zależności (tzn. użyto opcji --safe-resolver lub Aptitude::Always-Use-Safe-Resolver jest ustawione na true), zabrania takiego rozwiązywania zależności, które umożliwiałobyuaktualnianie pakietów, niezależnie od wartości Aptitude::Safe-Resolver::No-New-Upgrades.

--no-show-resolver-actions
    Nie wyświetla działań „bezpiecznego” mechanizmu rozwiązywania zależności, nadpisując wszystkie opcje konfiguracyjne lub wcześniejsze --show-resolver-actions.

-O <kolejność>, --sort <kolejność>
    Określa kolejność wyświetlania wyniku poleceń search i versions. Przykładowo, wpisanie „installsize” jako <kolejności> pokaże pakiety w kolejności odzwierciedlającej ich rozmiar po zainstalowaniu (proszę zapoznać się z rozdziałem „Customizing how packages are sorted” w podręczniku aptitude.

    Prepending the order keyword with a tilde character (~) reverses the order from ascending to descending.

    Domyślną kolejnością sortowania jest name,version.

-o <klucz>=<wartość>
    Ustaw bezpośrednio opcję konfiguracyjną np. użyj -o Aptitude::Log=/tmp/my-log aby zapisać dziennik działań aptitude do /tmp/my-log. Aby uzyskać więcej informacji o opcjach pliku konfiguracyjnego, proszę zapoznać się z rozdziałem „Configuration file reference” w podręczniku aptitude.

-P, --prompt
    Zawsze wyświetlaj pytanie o potwierdzenie przed pobieraniem, instalowaniem i usuwaniem pakietów, nawet jeśli nie zostanie wykonana żadna inna akcja, niż ściśle odpowiadająca żądaniu użytkownika.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Always-Prompt.

--purge-unused
    Jeśli Aptitude::Delete-Unused jest ustawione na „true” (tak jest domyślnie), to oprócz usuwania pakietów niewymaganych przez żaden inny, zainstalowany pakiet, aptitude będzie również usuwało jego pliki konfiguracyjne i - prawdopodobnie - inne ważne dane. Aby uzyskać więcej informacji, które pakiety są uważane za „nieużywane”, zapoznaj się z rozdziałem „Managing Automatically Installed Packages” w podręczniku aptitude. TA OPCJA MOŻE SPOWODOWAĆ UTRATĘ DANYCH! NIE UŻYWAJ JEJ, CHYBA ŻE WIESZ CO ROBISZ!

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::Purge-Unused.

-q[=<n>], --quiet[=<n>]
    Wyłącza wszystkie przyrostowe wskaźniki postępu, czyniąc wyjście dającym się zapisać do pliku. Opcja może być podana wiele razy aby stopniowo uciszać program, ale w odróżnieniu od apt-get, aptitude nie włącza -y, gdy -q zastosowano więcej niż jeden raz.

    Opcjonalny parametr =<n> może być użyty, aby ustawić bezpośrednio liczbę odpowiadającą za uciszenie (np. aby nadpisać ustawienie w /etc/apt/apt.conf); powoduje ona, że program zachowuje się tak, jak gdyby podano opcję -q dokładnie <n> razy.

-R, --without-recommends
    Nie traktuje pakietów polecanych jako zależności, podczas instalowania nowych pakietów (nadpisuje ustawienie w /etc/apt/apt.conf i ~/.aptitude/config). Pakiety zainstalowane uprzednio w związku z zależnością polecania nie będą usunięte.

    This corresponds to the pair of configuration options APT::Install-Recommends and APT::AutoRemove::RecommendsImportant.

-r, --with-recommends
    Traktuje polecane pakiety jako zależności, podczas instalowania nowych pakietów (nadpisuje ustawienie w /etc/apt/apt.conf i ~/.aptitude/config).

    Jest to odpowiednik opcji konfiguracyjnej APT::Install-Recommends

--remove-user-tag <znacznik>
    Do full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, i unmarkauto: usuwa znacznik użytkownika <znacznik> ze wszystkich pakietów będących zainstalowanymi, usuniętymi lub uaktualnianymi tą komendą (podobnie jak w przypadku polecenia add-user-tag).

--remove-user-tag-from <znacznik>,<wzorzec>
    Do full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, i unmarkauto: usuwa znacznik użytkownika <znacznik> ze wszystkich pakietów pasujących do wzorca <wzorzec> (podobnie jak w przypadku polecenia remove-user-tag). Wzorzec jest wzorcem wyszukiwania, jak opisano w rozdziale „Search Patterns” podręcznika aptitude.

    Dla przykładu, aptitude safe-upgrade --remove-user-tag-from "nie-uaktualnione,?action(upgrade)" usunie wszystkie znaczniki nie-uaktualnione ze wszystkich pakietów, które jest w stanie uaktualnić polecenie safe-upgrade.

-s, --simulate
    W trybie wiersza poleceń, wypisuje wszystkie akcje które byłyby normalnie wykonane, ale nie wykonuje ich. Nie wymaga uprawnień użytkownika root. W interfejsie wizualnym zawsze otwiera pamięć podręczną w trybie tylko do odczytu, niezależnie czy użytkownik jest rootem.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::Simulate.

--safe-resolver
    Jeśli wystąpiły problemy z zależnościami pakietów, używa do ich rozwiązania algorytmu „bezpiecznego”. Próbuje on uszanować jak najwięcej wyborów użytkownika; nigdy nie usuwa pakietu, ani nie instaluje innej wersji pakietu, niż domyślna wersja kandydująca. Jest to ten sam algorytm, który używa polecenie safe-upgrade; w szczególności aptitude --safe-resolver full-upgrade jest odpowiednikiem aptitude safe-upgrade. Ponieważ safe-upgrade zawsze używa bezpiecznego mechanizmu rozwiązywania zależności, nie akceptuje ono opcji --safe-resolver.

    Jest to odpowiednik ustawienia zmiennej konfiguracyjnejAptitude::Always-Use-Safe-Resolver na true.

--schedule-only
    Do poleceń modyfikujących stan pakietów: zapisuje operacje do wykonania w przyszłości, ale nie przeprowadza ich. Można wykonać zaplanowane operacje przez uruchomienie aptitude install bez żadnych argumentów. Jest to odpowiednik wykonania odpowiednich zaznaczeń w trybie wizualnym, a następnie normalnym opuszczeniu programu.

    Na przykład aptitude --schedule-only install evolution zaplanuje przyszłą instalację pakietu evolution.

--show-package-names <kiedy>
    Kontroluje, kiedy polecenie versions wyświetla nazwy pakietów. Dozwolone są następujące ustawienia:

        • always - wyświetla nazwy pakietów za każdym uruchomieniem polecenia aptitude versions;

        • auto - wyświetla nazwy pakietów, gdy uruchomiono aptitude versions, a wyniki nie zostały pogrupowane wg pakietów i: albo istnieje pasujący do wzorca argument, albo podano więcej niż jeden argument;

        • never - nigdy nie wyświetla nazw pakietów w wyniku polecenia aptitude versions.

    Jest to odpowiednik wpisu konfiguracyjnego Aptitude::CmdLine::Versions-Show-Package-Names.

--show-resolver-actions
    Nie wyświetla działań „bezpiecznego” mechanizmu rozwiązywania zależności i safe-upgrade.

    Podczas wykonywania poleceń safe-upgrade, lub gdy podano opcję --safe-resolver, aptitude będzie wyświetlać podsumowanie akcji wykonywanych przez mechanizm rozwiązywania zależności, przed wyświetlaniem podglądu instalacji. Jest to odpowiednik opcji konfiguracyjnej Aptitude::Safe-Resolver::Show-Resolver-Actions.

--show-summary[=<TRYB>]
    Zmienia zachowanie polecenia „aptitude why”, aby wyświetlić podsumowania każdego łańcucha zależności, zamiast wyświetlania ich w długiej formie. Jeśli użyto tej opcji i <TRYB>EM nie jest „no-summary”, łańcuchy zawierające zależności Sugeruje nie będą wyświetlane; można połączyć --show-summary z -v, aby zobaczyć podsumowanie wszystkich powodów, dla których ma być zainstalowany dany pakiet.

    <TRYB> może być jednym z następujących:

        1. no-summary - nie wyświetla podsumowania (domyślne zachowanie, jeśli nie użyto opcji --show-summary);

        2. first-package - wyświetla pierwszy pakiet w każdym łańcuchu (jest to domyślne zachowanie jeśli nie podano <TRYBU>);

        3. first-package-and-type: wyświetla pierwszy pakiet w każdym łańcuchu, łącznie z siłą najsłabszej zależności w łańcuchu;

        4. all-packages: zwięźle wyświetla każdy łańcuch zależności dotyczący danego pakietu;

        5. all-packages-with-dep-versions - zwięźle wyświetla każdy łańcuch zależności dotyczący danego pakietu, łącznie z wersją docelową każdej zależności.

    Opcja jest związana z wpisem konfiguracyjnym Aptitude::CmdLine::Show-Summary; jeśli podano opcję --show-summary w wierszu poleceń, nadpisze ona Aptitude::CmdLine::Show-Summary.

    Example 12. użycie opcji --show-summary --show-summary użyte z -v aby wyświetlić wszystkie powody zainstalowania pakietu:

        $ aptitude -v --show-summary why foomatic-db
        Pakiety wymagające foomatic-db:
          cupsys-driver-gutenprint
          foomatic-db-engine
          foomatic-db-gutenprint
          foomatic-db-hpijs
          foomatic-filters-ppds
          foomatic-gui
          kde
          printconf
          wine
        $ aptitude -v --show-summary=first-package-and-type why foomatic-db
        Pakiety wymagające foomatic-db:
          [Wymaga] cupsys-driver-gutenprint
          [Wymaga] foomatic-db-engine
          [Wymaga] foomatic-db-gutenprint
          [Wymaga] foomatic-db-hpijs
          [Wymaga] foomatic-filters-ppds
          [Wymaga] foomatic-gui
          [Wymaga] kde
          [Wymaga] printconf
          [Wymaga] wine
        $ aptitude -v --show-summary=all-packages why foomatic-db
        Pakiety wymagające foomatic-db:
          cupsys-driver-gutenprint W: cups-driver-gutenprint W: cups P: foomatic-filters P: foomatic-db-engine W: foomatic-db
          foomatic-filters-ppds W: foomatic-filters P: foomatic-db-engine W: foomatic-db
          kde W: kdeadmin P: system-config-printer-kde W: system-config-printer P: hal-cups-utils W: cups P: foomatic-filters P: foomatic-db-engine W: foomatic-db
          wine W: libwine-print W: cups-bsd P: cups P: foomatic-filters P: foomatic-db-engine W: foomatic-db
          foomatic-db-engine W: foomatic-db
          foomatic-db-gutenprint W: foomatic-db
          foomatic-db-hpijs W: foomatic-db
          foomatic-gui W: python-foomatic W: foomatic-db-engine W: foomatic-db
          printconf W: foomatic-db
        $ aptitude -v --show-summary=all-packages-with-dep-versions why foomatic-db
        Pakiety wymagające foomatic-db:
          cupsys-driver-gutenprint W: cups-driver-gutenprint (>= 5.0.2-4) W: cups (>= 1.3.0) P: foomatic-filters (>= 4.0) P: foomatic-db-engine (>= 4.0) W: foomatic-db (>= 20090301)
          foomatic-filters-ppds W: foomatic-filters P: foomatic-db-engine (>= 4.0) W: foomatic-db (>= 20090301)
          kde W: kdeadmin (>= 4:3.5.5) P: system-config-printer-kde (>= 4:4.2.2-1) W: system-config-printer (>= 1.0.0) P: hal-cups-utils W: cups P: foomatic-filters (>= 4.0) P: foomatic-db-engine (>= 4.0) W: foomatic-db (>= 20090301)
          wine W: libwine-print (= 1.1.15-1) W: cups-bsd P: cups P: foomatic-filters (>= 4.0) P: foomatic-db-engine (>= 4.0) W: foomatic-db (>= 20090301)
          foomatic-db-engine W: foomatic-db
          foomatic-db-gutenprint W: foomatic-db
          foomatic-db-hpijs W: foomatic-db
          foomatic-gui W: python-foomatic (>= 0.7.9.2) W: foomatic-db-engine W: foomatic-db (>= 20090301)
          printconf W: foomatic-db

    --show-summary użyte do wypisania łańcucha w jednej linii

        $ aptitude --show-summary=all-packages why aptitude-gtk libglib2.0-data
        Pakiety wymagające libglib2.0-data:
          aptitude-gtk W: libglib2.0-0 P: libglib2.0-data

-t <wydanie>, --target-release <wydanie>
    Set the release from which packages should be installed. For instance, „aptitude -t experimental ...” will install packages from the experimental distribution unless you specify otherwise.

    This will affect the default candidate version of packages according to the rules described in apt_preferences(5).

    Jest to odpowiednik wpisu konfiguracyjnego APT::Default-Release.

-V, --show-versions
    Pokazuje, które wersje pakietów będą zainstalowane.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Powoduje, że niektóre polecenia (np. show) wyświetlają dodatkowe informacje. Opcja może być podana kilkukrotnie, aby uzyskiwać coraz więcej informacji (od tłumacza: ilekroć w podręczniku jest mowa o poziomie szczegółowości, tyczy się to tej opcji).

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Verbose.

--version
    Wyświetla wersję aptitude i kilka informacji na temat sposobu kompilacji programu.

--visual-preview
    Podczas instalowania lub usuwania pakietów z wiersza poleceń, zamiast wyświetlania zwykłego potwierdzenia instalacji, uruchamia interfejs wizualny i wyświetla jego ekran podglądu.

-W, --show-why
    W podglądzie wyświetlanym przed instalacją lub usuwaniem pakietów pokazuje, które pakiety zainstalowane ręcznie wymagają poszczególnych pakietów instalowanych automatycznie np.:

        $ aptitude --show-why install mediawiki
        ...
        Następujące NOWE pakiety zostaną zainstalowane:
          libapache2-mod-php5{a} (for mediawiki)  mediawiki  php5{a} (for mediawiki)
          php5-cli{a} (for mediawiki)  php5-common{a} (for mediawiki)
          php5-mysql{a} (for mediawiki)

    Gdy opcja jest łączona z -v lub niezerową wartością Aptitude::CmdLine::Verbose, wyświetla cały łańcuch zależności, będący powodem instalacji każdego pakietu np.:

        $ aptitude -v --show-why install libdb4.2-dev
        Następujące NOWE pakiety zostaną zainstalowane:
          libdb4.2{a} (libdb4.2-dev W: libdb4.2)  libdb4.2-dev
        Następujące pakiety zostaną USUNIĘTE:
          libdb4.4-dev{a} (libdb4.2-dev K: libdb-dev P<- libdb-dev)

    Opcja opisuje również powód usuwania pakietów, jak pokazano powyżej. W tym przykładzie libdb4.2-dev jest w konflikcie z libdb-dev, który dostarcza libdb-dev.

    Ten argument jest związany z opcją konfiguracyjną Aptitude::CmdLine::Show-Why i wyświetla te same instalacje, co polecenia aptitude why i aptitude why-not.

-w <szerokość>, --width <szerokość>
    Specify the display width which should be used for output from the search and versions commands (in the command line).

    By default and when the output is seen directly in a terminal, the terminal width is used. When the output is redirected or piped, a very large "unlimited" line width is used, and this option is ignored.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Package-Display-Width

-y, --assume-yes
    Kiedy wyświetlane są pytania tak/nie, przyjmuje że użytkownik wpisał „tak”. W szczególności, nie wyświetla pytania pojawiającego się przy instalacji, uaktualnianiu i usuwaniu pakietów. Program wciąż pyta o działania „niebezpieczne”, takie jak usuwanie pakietów istotnych (ang. essential). Ta opcja nadpisuje -P.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Assume-Yes.

-Z
    Pokazuje jak dużo miejsca na dysku użyje lub zwolni każdy instalowany, uaktualniany lub usuwany pakiet.

    Jest to odpowiednik opcji konfiguracyjnej Aptitude::CmdLine::Show-Size-Changes.

Poniższe opcje dotyczą trybu wizualnego, ale są przeznaczone głównie do użycia wewnętrznego; użytkownik zwykle nie ma potrzeby korzystania z nich.

--autoclean-on-startup
    Deletes old downloaded files when the program starts (equivalent to starting the program and immediately selecting Actions → Clean obsolete files). You cannot use this option and „--clean-on-startup”, „-i”, or „-u” at the same time.

--clean-on-startup
    Czyści archiwum pakietów podczas uruchomienia programu (jest to odpowiednik uruchomienia programu i natychmiastowego wybrania Akcje → Wyczyść archiwum pakietów). Nie można użyć tej opcji łącznie z „--autoclean-on-startup”, „-i” lub „-u”.

-i
    Wyświetla podgląd pobieranych pakietów podczas uruchamiania programu (odpowiednik uruchomienia programu i natychmiastowego wciśnięcia „g”). Nie można użyć tej opcji łącznie z „--autoclean-on-startup”, „--clean-on-startup” lub „-u”.

-S <nazwa-pliku>
    Ładuje rozszerzone informacje o stanie z pliku <nazwa-pliku>, zamiast ze standardowego pliku stanu.

-u
    Rozpoczyna uaktualnianie listy pakietów zaraz po starcie programu. Nie można użyć tej opcji łącznie z „--autoclean-on-startup”, „--clean-on-startup” lub „-i”.

ŚRODOWISKO

HOME
    Jeśli $HOME/.aptitude istnieje, aptitude będzie przechowywać swój plik konfiguracyjny w $HOME/.aptitude/config. W przeciwnym wypadku, wyszuka katalog domowy bieżącego użytkownika przy użyciu getpwuid(2) i utworzy w nim swój plik konfiguracyjny.

PAGER
    Jeśli ta zmienna środowiskowa jest ustawiona, aptitude użyje jej do wyświetlenia dzienników zmian po przywołaniu polecenia „aptitude changelog”. Jeśli nie jest ustawiona, domyślnym ustawieniem jest program more.

TMP
    Jeśli TMPDIR nie jest ustawiony, aptitude przechowa swoje pliki tymczasowe w TMP, jeśli ta zmienna została ustawiona. Jeśli nie, przechowa je w katalogu /tmp.

TMPDIR
    aptitude przechowa swoje pliki tymczasowe w katalogu określonym przez tą zmienną środowiskową. Jeśli TMPDIR nie jest ustawiony, użyje TMP; jeśli TMP również nie jest ustawiony, aptitude użyje /tmp.

PLIKI

/var/lib/aptitude/pkgstates
    Plik w którym przechowywane są informacje o stanach pakietów i niektóre ich flagi.

/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
    Pliki konfiguracyjne do aptitude. ~/.aptitude/config nadpisuje /etc/apt/apt.conf. Proszę zapoznać się z apt.conf(5) aby poznać dokumentację formatu i zawartości tych plików.

ZOBACZ TEż

apt-get(8), apt(8), /usr/share/doc/aptitude/html/<język>/index.html z pakietu aptitude-doc-<język> (od tłumacza: niestety nie ma polskiej wersji tego pakietu)

AUTHORS

Daniel Burrows <dburrows@debian.org>
    Main author of the document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Main maintainer after Daniel Burrows, documentation about new features, corrections and formatting.

PRAWA AUTORSKIE

Copyright 2004-2011 Daniel Burrows.

Copyright 2014-2016 Manuel A. Fernandez Montecelo

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

TŁUMACZENIE
Pierwsze tłumaczenie wykonał w 2002 roku Michał Politkowski <l10n@mp.pl.eu.org>. W 2012 tłumaczenie zaktualizował Michał Kułach <michal.kulach@gmail.com>.